<?php

declare(strict_types=1);

use System\Database\Schema;

return function (): string {

    return Schema::create('role_permissions', function ($table) {

        $table->id();

        $table->foreignId('role_id')
              ->constrained('roles');

        $table->foreignId('permission_id')
              ->constrained('permissions');

        $table->timestamps();

    });

};